#
# spec file for package yast2-ntp-client (Version 2.9.14)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  yast2-country yast2-devel-packages yast2-firewall yast2-installation yast2-network

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db4 MAKEDEV diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-common gpm grep groff gzip info chkconfig kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netconfig openldap-clients openssl pam  patch  popt procinfo procps psmisc shadow-utils rcs readline sed strace sysklogd SysVinit tar tcp_wrappers texinfo tzdata unzip util-linux vim-common zlib zlib-devel autoconf automake binutils curl dejagnu doxygen expect gcc gdbm gettext libtool liby2util liby2util-devel perl perl-XML-Writer perl-gettext rpm tcl update-desktop-files yast2 yast2-core yast2-core-devel yast2-country yast2-devtools yast2-firewall yast2-installation yast2-network yast2-packagemanager yast2-packagemanager-devel yast2-perl-bindings yast2-testsuite suse-macros

Name:         yast2-ntp-client
Version:      2.9.14
Release:      0.3
License:      GPL
Group:        System/YaST
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      yast2-ntp-client-2.9.14.tar.bz2
prefix:		/usr
Requires:     yast2 yast2-firewall yast2-network yast2-country yast2-installation
BuildArchitectures:	noarch
Summary:      YaST2 - NTP Client Configuration

%description
This package contains the YaST2 component for NTP client configuration.



Authors:
--------
    Jiri Srain <jsrain@suse.cz>

%prep
%setup -n yast2-ntp-client-2.9.14

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
#g++32 can't support mtune parameter
RPM_OPT_FLAGS=`echo "$RPM_OPT_FLAGS" | sed -e 's/-mtune=pentium4//'`
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
CC=gcc32 CXX=g++32 ./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/*.desktop` ; do
    d=${f##*/}
    %suse_update_desktop_file ${d%.desktop}
done

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/ntp-client
/usr/share/YaST2/include/ntp-client/*
/usr/share/YaST2/clients/ntp-client.ycp
/usr/share/YaST2/clients/ntp-client_*.ycp
/usr/share/YaST2/scrconf/cfg_xntp.scr
/usr/share/YaST2/scrconf/etc_ntp.scr
/usr/share/YaST2/modules/*.y*
%{prefix}/share/applications/YaST2/ntp-client.desktop
%doc %{prefix}/share/doc/packages/yast2-ntp-client

%changelog -n yast2-ntp-client
* Mon Mar 12 2007 - pearly.zhao@oracle.com
- Port to RHEL/EL
- Remove "lookup servers in local network by using SLP"
* Mon Jun 21 2004 - jsrain@suse.cz
- fixed saving of options to /etc/ntp.conf (#42199)
- 2.9.14
* Sun May 30 2004 - nashif@suse.de
- Honor old syntax when importing (#41379)
- 2.9.13
* Fri May 21 2004 - jsrain@suse.cz
- dont complain about missing packages when cloning (nashif)
- 2.9.12
* Tue May 04 2004 - jsrain@suse.cz
- merged texts from proofread
- 2.9.11
* Fri Apr 02 2004 - jsrain@suse.de
- changed version to GPL
- 2.9.10
* Tue Mar 30 2004 - jsrain@suse.de
- fixed typo in variable name
- 2.9.9
* Fri Mar 26 2004 - jsrain@suse.de
- added missing textdomain, added missing comments for translators
* Mon Mar 15 2004 - jsrain@suse.cz
- fixed parsing of configuration files with comments on the same
  line as option (eg. server ntp.example.com #comment) (#35818)
- fixed saving address of the NTP server from the simple dialog
- added support for lookup NTP servers via SLP
- reduced VSpacings in order to fit in new wizard
- not asking for confirmation when set NTP service on if at least
  one network interface started on boot found (#35487)
- fixed handling of `abort event
- 2.9.8
* Wed Mar 10 2004 - sh@suse.de
- V 2.9.7
- Migration to new wizard
* Tue Mar 09 2004 - jsrain@suse.de
- Require -> Package
- using Sequencer module
* Mon Mar 08 2004 - jsrain@suse.de
- setting icon
- 2.9.6
* Fri Mar 05 2004 - jsrain@suse.de
- types fixes
- 2.9.5
* Wed Mar 03 2004 - jsrain@suse.de
- fixed testsuite
- 2.9.4
* Mon Mar 01 2004 - jsrain@suse.de
- fixed displaying NTP summary
- merged texts from proofread
- more strict data types
- 2.9.3
* Mon Feb 16 2004 - jsrain@suse.de
- syntax fix of abort checking (in order to build)
- 2.9.2
* Tue Feb 10 2004 - jsrain@suse.de
- dropped .y2cc file
- 2.9.1
* Thu Jan 22 2004 - jsrain@suse.de
- added displaying of NTP daemon's log
- added firewall settin support
- 2.9.0
* Wed Jan 21 2004 - jsrain@suse.de
- updated for the new interpreter
- added support for command line interface
* Thu Sep 25 2003 - jsrain@suse.de
- typos fixed (#30274)
* Thu Sep 11 2003 - nashif@suse.de
- #30291: return list of required packages for autoinstallation
* Wed Sep 10 2003 - jsrain@suse.de
- stopping XNTP daemon when set to never start it automatically
  (30358)
- 2.8.9
* Fri Sep 05 2003 - jsrain@suse.de
- merged texts from proofread
- 2.8.8
* Tue Sep 02 2003 - jsrain@suse.de
- marked missed texts for translation
- fixed translation of exit without saving popup (was evaluated in
  incorect textdomain)
* Mon Sep 01 2003 - jsrain@suse.de
- separated "Type of entry to add" popup to extra dialog and added
  some help to the entries (#29669)
- 2.8.7
* Fri Aug 29 2003 - jsrain@suse.de
- improved helps (#29379)
- displaying correctly local CMOS clock (#29422)
- 2.8.6
* Mon Aug 25 2003 - jsrain@suse.de
- not touching sysconfig/xntp:XNTPD_INITIAL_NTPDATE if containg
  AUTO and would be replaced with empty string (#29315)
- 2.8.5
* Wed Aug 20 2003 - jsuchome@suse.de
- removed redundant "initialization dialog" (#28779)
- 2.8.4
* Mon Aug 11 2003 - jsrain@suse.de
- merged text from proofread
- 2.8.3
* Wed Aug 06 2003 - jsrain@suse.de
- fixed Abort button handling
* Wed Aug 06 2003 - jsrain@suse.de
- changed internal structure (autoyast requirement)
- reporting error if xntp package installation fails
- handling double-click in the summary table
- 2.8.2
* Tue Aug 05 2003 - jsrain@suse.de
- added warning if NTP daemon set to be started at boot
- added more testsuites
- added some documentation
* Mon Aug 04 2003 - jsrain@suse.de
- added .desktop file
- 2.8.1
* Wed Jul 30 2003 - jsrain@suse.de
- not (re)starting service during autoinstallation
* Tue Jul 29 2003 - jsrain@suse.de
- adapted to udpated CWM interface
* Mon Jul 07 2003 - jsrain@suse.de
- initial version
